Bug 1126522 - mvn metadata missing; no provides from package
Summary: mvn metadata missing; no provides from package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: json_simple
Version: 21
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 15:38 UTC by Pete MacKinnon
Modified: 2014-09-29 06:23 UTC (History)
2 users (show)

Fixed In Version: 1.1.1-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 06:23:12 UTC


Attachments (Terms of Use)

Comment 1 Pete MacKinnon 2014-08-04 15:41:15 UTC
Ooops...

Anyway, for some reason this commit removed mvn metadata generation:
http://pkgs.fedoraproject.org/cgit/json_simple.git/commit/?id=db439d3d321655b99da277a99f4d8c42a3aa836f

Thus, the dep cannot be resolved by xmvn. The project should use the latest xmvn2 build macros consistently and not rely on generated structures.

Comment 2 Fedora Admin XMLRPC Client 2014-09-15 14:38:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2014-09-16 04:23:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Mikolaj Izdebski 2014-09-16 04:29:56 UTC
Fixed in json_simple-1.1.1-10

Comment 5 Fedora Update System 2014-09-16 04:50:28 UTC
json_simple-1.1.1-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/json_simple-1.1.1-10.fc21

Comment 6 Mikolaj Izdebski 2014-09-17 06:23:58 UTC
FEDORA-2014-10864 update should fix this bug.
Moving to QA for testing.

Comment 7 Fedora Update System 2014-09-23 05:06:43 UTC
json_simple-1.1.1-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Mikolaj Izdebski 2014-09-29 06:23:12 UTC
I believe that this bug is fixed in json_simple-1.1.1-10,
which is available in Fedora 21, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=577905


Note You need to log in before you can comment on or make changes to this bug.